Troubleshooting Jaspersoft Studio 6.4 Error: "No JREs installed in the workspace that are strictly compatible with this environment"

Document ID : KB000102293
Last Modified Date : 25/07/2018
Show Technical Document Details
Issue:
Even after installing fresh Japspersoft Studio 6.4 you may get an error regarding no JREs installed in the workspace. The likely cause for this error is Jaspersoft Studio 6.2.1 and the libraries with it are still present on your client PC.
Environment:
CA PPM On Premise and SAAS
Tibco Japsersoft Studio 6.4.2
Resolution:
The best thing to do in this situation is to uninstall both 6.2.1 and 6.4.2 from your workstation, and then reinstall 6.4.2.  This should clear up the error.  Additioanlly, check the workspaces after new install as Jaspersoft may not destroy the old workspace, however it needs to be removed for this to work. Remove the old workspace and let Jasper re-create a new one.  It is important to note that you will also need to recreate the server and data connections in your Studio client.